diff --git a/src/tools/pgindent/typedefs.list b/src/tools/pgindent/typedefs.list
index 794f7b1..8307f50 100644
--- a/src/tools/pgindent/typedefs.list
+++ b/src/tools/pgindent/typedefs.list
@@ -15,6 +15,7 @@ A_Indices
 A_Indirection
 A_Star
 AbsoluteTime
+AccessMethodInfo
 AccessPriv
 Acl
 AclItem
@@ -38,6 +39,7 @@ Agg
 AggClauseCosts
 AggHashEntry
 AggInfo
+AggPath
 AggState
 AggStatePerAgg
 AggStatePerGroup
@@ -70,6 +72,7 @@ AlterFunctionStmt
 AlterObjectDependsStmt
 AlterObjectSchemaStmt
 AlterOpFamilyStmt
+AlterOperatorStmt
 AlterOwnerStmt
 AlterPolicyStmt
 AlterRoleSetStmt
@@ -209,6 +212,12 @@ BlockIdData
 BlockNumber
 BlockSampler
 BlockSamplerData
+BlockedProcData
+BlockedProcsData
+BloomBuildState
+BloomOptions
+BloomState
+BloomTuple
 BlowfishContext
 BoolAggState
 BoolExpr
@@ -243,6 +252,7 @@ BufferStrategyControl
 BufferTag
 BufferUsage
 BuildAccumulator
+BuiltinScript
 BulkInsertState
 CACHESIGN
 CAC_state
@@ -334,8 +344,10 @@ CommonEntry
 CommonTableExpr
 CompareScalarsContext
 CompositeTypeStmt
+CompoundAffixFlag
 CompressionAlgorithm
 CompressorState
+ConfigData
 ConfigFileVariable
 ConfigVariable
 ConnCacheEntry
@@ -367,6 +379,7 @@ CostSelector
 Counters
 CoverExt
 CoverPos
+CreateAmStmt
 CreateCastStmt
 CreateConversionStmt
 CreateDomainStmt
@@ -494,6 +507,7 @@ EVP_MD_CTX
 EVP_PKEY
 EachState
 Edge
+EditableObjectType
 ElementsState
 EnableTimeoutParams
 EndBlobPtr
@@ -520,6 +534,9 @@ ExecAuxRowMark
 ExecForeignDelete_function
 ExecForeignInsert_function
 ExecForeignUpdate_function
+ExecParallelEstimateContext
+ExecParallelInitializeDSMContext
+ExecPhraseData
 ExecRowMark
 ExecScanAccessMtd
 ExecScanRecheckMtd
@@ -547,9 +564,13 @@ ExprContext_CB
 ExprDoneCond
 ExprState
 ExprStateEvalFunc
+ExtensibleNode
+ExtensibleNodeEntry
+ExtensibleNodeMethods
 ExtensionBehavior
 ExtensionControlFile
 ExtensionInfo
+ExtensionMemberId
 ExtensionVersionInfo
 FDWCollateState
 FD_SET
@@ -579,10 +600,12 @@ FileNameMap
 FindSplitData
 FixedParallelState
 FixedParamState
+FlagMode
 FmgrBuiltin
 FmgrHookEventType
 FmgrInfo
 ForeignDataWrapper
+ForeignKeyOptInfo
 ForeignPath
 ForeignScan
 ForeignScanState
@@ -710,9 +733,6 @@ FunctionParameterMode
 FunctionScan
 FunctionScanPerFuncState
 FunctionScanState
-Gather
-GatherPath
-GatherState
 FuzzyAttrMatchState
 GBT_NUMKEY
 GBT_NUMKEY_R
@@ -737,9 +757,13 @@ GISTSearchItem
 GISTTYPE
 GIST_SPLITVEC
 GV
+Gather
+GatherPath
+GatherState
 Gene
 GenericCosts
 GenericExprState
+GenericXLogState
 GeqoPrivateData
 GetForeignJoinPaths_function
 GetForeignPaths_function
@@ -787,12 +811,14 @@ GrantRoleStmt
 GrantStmt
 GrantTargetType
 Group
+GroupPath
 GroupState
 GroupVarInfo
 GroupingFunc
 GroupingFuncExprState
 GroupingSet
 GroupingSetKind
+GroupingSetsPath
 GucAction
 GucBoolAssignHook
 GucBoolCheckHook
@@ -885,6 +911,7 @@ ImportQual
 InclusionOpaque
 IncrementVarSublevelsUp_context
 Index
+IndexAmRoutine
 IndexArrayKeyInfo
 IndexAttrBitmapKind
 IndexBuildCallback
@@ -958,6 +985,7 @@ JoinPath
 JoinPathExtraData
 JoinState
 JoinType
+JsonAggState
 JsonHashEntry
 JsonLexContext
 JsonParseContext
@@ -965,6 +993,7 @@ JsonSemAction
 JsonTokenType
 JsonTypeCategory
 Jsonb
+JsonbAggState
 JsonbContainer
 JsonbInState
 JsonbIterState
@@ -1011,12 +1040,10 @@ LSEG
 LVRelStats
 LWLock
 LWLockHandle
-NamedLWLockTranche
 LWLockMinimallyPadded
 LWLockMode
 LWLockPadded
 LWLockTranche
-NamedLWLockTrancheRequest
 LabelProvider
 LargeObjectDesc
 Latch
@@ -1029,6 +1056,7 @@ LexemeInfo
 LexemeKey
 LexizeData
 Limit
+LimitPath
 LimitState
 LimitStateCond
 List
@@ -1052,6 +1080,7 @@ LockMethod
 LockMethodData
 LockRelId
 LockRows
+LockRowsPath
 LockRowsState
 LockStmt
 LockTagType
@@ -1090,6 +1119,7 @@ MembersLiveRange
 MemoryContext
 MemoryContextCallback
 MemoryContextCallbackFunction
+MemoryContextCounters
 MemoryContextData
 MemoryContextMethods
 MergeAppend
@@ -1101,6 +1131,7 @@ MergeJoinState
 MergePath
 MergeScanSelCache
 MinMaxAggInfo
+MinMaxAggPath
 MinMaxExpr
 MinMaxExprState
 MinMaxOp
@@ -1108,7 +1139,9 @@ MinimalTuple
 MinimalTupleData
 MinmaxOpaque
 ModifyTable
+ModifyTablePath
 ModifyTableState
+MorphOpaque
 MsgType
 MultiAssignRef
 MultiXactId
@@ -1125,7 +1158,10 @@ NUMProc
 NV
 Name
 NameData
+NameHashEntry
 NamedArgExpr
+NamedLWLockTranche
+NamedLWLockTrancheRequest
 NamespaceInfo
 NestLoop
 NestLoopParam
@@ -1189,6 +1225,7 @@ OpBtreeInterpretation
 OpClassCacheEnt
 OpExpr
 OpFamilyMember
+OpFamilyOpFuncGroup
 OpclassInfo
 Operator
 OpfamilyInfo
@@ -1205,13 +1242,13 @@ OverrideSearchPath
 OverrideStackEntry
 PACE_HEADER
 PACL
-ParallelExecutorInfo
 PATH
 PBOOL
 PCtxtHandle
 PFN
 PGAsyncStatusType
 PGCALL2
+PGContextVisibility
 PGEvent
 PGEventConnDestroy
 PGEventConnReset
@@ -1326,6 +1363,8 @@ PLyProcedure
 PLyProcedureEntry
 PLyProcedureKey
 PLyResultObject
+PLySRFState
+PLySavedArgs
 PLySubtransactionData
 PLySubtransactionObject
 PLyTupleToOb
@@ -1374,6 +1413,7 @@ PX_Combo
 PX_HMAC
 PX_MD
 Page
+PageData
 PageGistNSN
 PageHeader
 PageHeaderData
@@ -1382,6 +1422,7 @@ PagetableEntry
 Pairs
 ParallelArgs
 ParallelContext
+ParallelExecutorInfo
 ParallelSlot
 ParallelState
 ParallelWorkerInfo
@@ -1400,16 +1441,19 @@ ParseNamespaceItem
 ParseParamRefHook
 ParseState
 ParsedLex
+ParsedScript
 ParsedText
 ParsedWord
 ParserSetupHook
 ParserState
+PartialAggType
 Path
 PathClauseUsage
 PathCostComparison
 PathHashStack
 PathKey
 PathKeysComparison
+PathTarget
 Pattern_Prefix_Status
 Pattern_Type
 PendingOperationEntry
@@ -1423,7 +1467,11 @@ PgBackendSSLStatus
 PgBackendStatus
 PgBenchExpr
 PgBenchExprType
+PgBenchFunction
+PgBenchValue
+PgBenchValueType
 PgFdwAnalyzeState
+PgFdwDirectModifyState
 PgFdwModifyState
 PgFdwOption
 PgFdwRelationInfo
@@ -1527,9 +1575,11 @@ ProcessUtilityContext
 ProcessUtility_hook_type
 ProcessingMode
 ProjectionInfo
+ProjectionPath
 ProtocolVersion
 PrsStorage
 PruneState
+PsqlScanCallbacks
 PsqlScanResult
 PsqlScanState
 PsqlScanStateData
@@ -1561,6 +1611,7 @@ QueryMode
 QueryOperand
 QueryOperator
 QueryRepresentation
+QueryRepresentationOperand
 QuerySource
 QueueBackendStatus
 QueuePosition
@@ -1578,7 +1629,9 @@ RSA
 RTEKind
 RWConflict
 RWConflictPoolHeader
+Range
 RangeBound
+RangeBox
 RangeFunction
 RangeIOData
 RangeQueryClause
@@ -1603,8 +1656,10 @@ RecordCompareData
 RecordIOData
 RecoveryTargetAction
 RecoveryTargetType
+RectBox
 RecursionContext
 RecursiveUnion
+RecursiveUnionPath
 RecursiveUnionState
 RefetchForeignRow_function
 RefreshMatViewStmt
@@ -1669,7 +1724,9 @@ ReplicationStateOnDisk
 ResTarget
 ReservoirState
 ReservoirStateData
+ResourceArray
 ResourceOwner
+ResourceOwnerData
 ResourceReleaseCallback
 ResourceReleaseCallbackItem
 ResourceReleasePhase
@@ -1742,6 +1799,7 @@ SQLFunctionCache
 SQLFunctionCachePtr
 SQLFunctionParseInfoPtr
 SSL
+SSLExtensionInfoContext
 SSL_CTX
 STARTUPINFO
 STRLEN
@@ -1783,6 +1841,7 @@ SetFunctionReturnMode
 SetOp
 SetOpCmd
 SetOpHashEntry
+SetOpPath
 SetOpState
 SetOpStatePerGroup
 SetOpStatePerGroupData
@@ -1791,7 +1850,9 @@ SetOperation
 SetOperationStmt
 SetToDefault
 SetupWorkerPtr
+SharedDependencyObjectType
 SharedDependencyType
+SharedExecutorInstrumentation
 SharedInvalCatalogMsg
 SharedInvalCatcacheMsg
 SharedInvalRelcacheMsg
@@ -1800,13 +1861,19 @@ SharedInvalSmgrMsg
 SharedInvalSnapshotMsg
 SharedInvalidationMessage
 ShellTypeInfo
+ShippableCacheEntry
+ShippableCacheKey
 ShmemIndexEnt
 ShutdownInformation
 ShutdownMode
 SignTSVector
+SignType
+SimpleActionList
+SimpleActionListCell
 SimpleEcontextStackEntry
 SimpleOidList
 SimpleOidListCell
+SimpleStats
 SimpleStringList
 SimpleStringListCell
 SingleBoundSortItem
@@ -1833,6 +1900,7 @@ SortBy
 SortByDir
 SortByNulls
 SortGroupClause
+SortPath
 SortShimExtra
 SortState
 SortSupport
@@ -1872,15 +1940,18 @@ StartBlobsPtr
 StartDataPtr
 StartReplicationCmd
 StartupPacket
+StartupStatusEnum
 StatEntry
 StatMsgType
 StateFileChunk
 Stats
+StatsData
 StdAnalyzeData
 StdRdOptions
 Step
 StopList
 StrategyNumber
+StreamCtl
 StringInfo
 StringInfoData
 StripnullState
@@ -1893,11 +1964,15 @@ SubXactCallback
 SubXactCallbackItem
 SubXactEvent
 SubqueryScan
+SubqueryScanPath
 SubqueryScanState
 Syn
+SyncRepConfigData
 SysScanDesc
 SyscacheCallbackFunction
+SystemRowsSamplerData
 SystemSamplerData
+SystemTimeSamplerData
 TAR_MEMBER
 TBMIterateResult
 TBMIterator
@@ -1952,12 +2027,14 @@ TableSpaceOpts
 TablespaceList
 TablespaceListCell
 TargetEntry
+TclExceptionNameMap
 Tcl_DString
 Tcl_FileProc
 Tcl_HashEntry
 Tcl_HashTable
 Tcl_Interp
 Tcl_NotifierProcs
+Tcl_Obj
 Tcl_Time
 TestDecodingData
 TestSpec
@@ -2017,6 +2094,7 @@ TriggerEvent
 TriggerFlags
 TriggerInfo
 TruncateStmt
+TsmRoutine
 TupOutputState
 TupSortStatus
 TupStoreStatus
@@ -2066,6 +2144,8 @@ UnlistenStmt
 UnresolvedTup
 UnresolvedTupData
 UpdateStmt
+UpperRelationKind
+UpperUniquePath
 UserAuth
 UserMapping
 UserOpts
@@ -2080,6 +2160,7 @@ Var
 VarBit
 VarChar
 VarParamState
+VarStringSortSupport
 Variable
 VariableAssignHook
 VariableCache
@@ -2109,6 +2190,8 @@ WSABUF
 WSADATA
 WSANETWORKEVENTS
 WSAPROTOCOL_INFO
+WaitEvent
+WaitEventSet
 WalLevel
 WalRcvData
 WalRcvState
@@ -2116,10 +2199,9 @@ WalSnd
 WalSndCtlData
 WalSndSendDataCallback
 WalSndState
-WaitEvent
-WaitEventSet
 WholeRowVarExprState
 WindowAgg
+WindowAggPath
 WindowAggState
 WindowClause
 WindowDef
@@ -2142,6 +2224,7 @@ WorkTableScan
 WorkTableScanState
 WorkerInfo
 WorkerInfoData
+WorkerInstrumentation
 WorkerJobDumpPtr
 WorkerJobRestorePtr
 Working_State
@@ -2215,6 +2298,8 @@ assign_collations_context
 autovac_table
 av_relation
 avl_dbase
+avl_node
+avl_tree
 avw_dbase
 backslashResult
 base_yy_extra_type
@@ -2363,6 +2448,7 @@ gss_ctx_id_t
 gss_name_t
 gtrgm_consistent_cache
 gzFile
+has_parallel_hazard_arg
 hashfunc
 hbaPort
 heap_page_items_state
@@ -2462,6 +2548,7 @@ pairingheap_comparator
 pairingheap_node
 parallel_worker_main_type
 parse_error_callback_arg
+partial_agg_context
 pcolor
 pendingPosition
 pgParameterStatus
@@ -2508,6 +2595,7 @@ pgstat_page
 pgstattuple_type
 pgthreadlock_t
 pid_t
+pivot_field
 planner_hook_type
 plperl_array_info
 plperl_call_data
@@ -2525,6 +2613,7 @@ pltcl_proc_desc
 pltcl_proc_key
 pltcl_proc_ptr
 pltcl_query_desc
+pos_trgm
 post_parse_analyze_hook_type
 pqbool
 pqsigfunc
@@ -2704,6 +2793,7 @@ unit_conversion
 unlogged_relation_entry
 utf_local_conversion_func
 uuid_rc_t
+uuid_sortsupport_state
 uuid_t
 v_i_state
 va_list
@@ -2713,6 +2803,7 @@ varatt_expanded
 varattrib_1b
 varattrib_1b_e
 varattrib_4b
+vbits
 walrcv_connect_type
 walrcv_disconnect_type
 walrcv_endstreaming_type
@@ -2764,6 +2855,8 @@ xl_heap_update
 xl_heap_visible
 xl_invalid_page
 xl_invalid_page_key
+xl_invalidations
+xl_logical_message
 xl_multi_insert_tuple
 xl_multixact_create
 xl_multixact_truncate
